FROM python:3.10

RUN apt-get update && \
    apt-get install sshpass rsync curl wget ruby socat netcat git -y && \
    apt-get clean && \
    rm -rf /var/lib/apt/lists/*

RUN pip install --upgrade pip --no-cache-dir && \
    pip install ansible --no-cache-dir

RUN ansible-galaxy collection install community.general && \
	ansible-galaxy collection install ansible.posix && \
	ansible-galaxy collection install community.docker && \
	ansible-galaxy collection list

RUN mkdir -p /root/.ssh

CMD ["ansible-playbook"]
